# Contributing to GithubAPI

👍🎉 First off, thanks for taking the time to contribute! 🎉👍

The following is a set of guidelines for contributing to GithubAPI on GitHub. These are mostly guidelines, not rules. Use your best judgment, and feel free to propose changes to this document in a pull request.

## Steps to Contribute

1. **Fork the Repository.** Create a fork of this project to your GitHub account.

2. **Clone the Repository.** Clone your forked repository to your local machine.

    ```bash
    git clone git@github.com:Coho04/GithubAPI.git
    ```

3. **Create a New Branch.** Create a new branch for the changes you want to make.

    ```bash
    git checkout -b <branch-name>
    ```

4. **Make Your Changes.** Make your changes and ensure they work correctly.

5. **Commit Your Changes.** Save your changes in your local repository.

    ```bash
    git commit -m "Description of changes"
    ```

6. **Push Your Branch.** Upload your changes to GitHub.

    ```bash
    git push origin <branch-name>
    ```

7. **Create a Pull Request.** Go to your repository on GitHub and click the "Create Pull Request" button.

8. **Describe Your Changes.** Provide a clear and detailed description of your changes so the project maintainers understand what you did and why.

9. **Wait for a Review.** A project maintainer will review your changes and decide whether to include them in the project.

10. **Make Changes if Necessary.** If the project maintainer suggests changes, make those changes and update your pull request.

Thank you for your contribution!

## Code of Conduct

Please note that this project has a Code of Conduct. You can find it in the `CODE_OF_CONDUCT.md` file.

## License

By contributing to this project, you agree to abide by the terms of the license which can be found in the `LICENSE.md` file.